Важно! WordPress 2.5.1 — исправления в безопасности системы

На официальном сайте wordpress.org появилась новая версия системы 2.5.1. Релиз содержит коррекцию некоторых багов, улучшение производительности, а также одно очень важное исправление касаемо безопасности системы. Создатели рекомендуют всем немедленно обновить свои блоги, особенно если в них доступна открытая регистрация пользователей. Уязвимость пока не озвучена публично, но информация о ней появится в ближайшее время.

Кроме дыры в безопасности, WordPreee 2.5.1 содержит множество исправлений мелких ошибок. Если вы заинтересованы только в улучшении безопасности системы, то скачайте следующие файлы wp-includes/pluggable.php, wp-admin/includes/media.php, и wp-admin/media.php, а затем замените ими существующие.

При установке полностью всего релиза 2.5.1 вы получите исправление более 70-ти багов. Основное внимание в данной версии уделяется наиболее раздражающим ошибкам и улучшению производительности. Вот некоторые основные моменты:

  • Улучшение производительности в «Панели инструментов» (Dashboard), а также на страницах «Написать пост» и «Редактировать комментарии».
  • Лучшая производительность для тех сайтов с большим количеством категорий.
  • Исправление в «Media Uploader».
  • Апдейт редактора до TinyMCE 3.0.7.
  • Исправление в «Widget Administration».
  • Различные улучшения в плане юзабилити.
  • Исправление шаблона для ИЕ.

Как написано на одном из западных блогов — «если вы все еще не обновились до ветки 2.5.х, то возможно сейчас самое время». Лично я пока еще работаю на старой 2.3.1 с некоторыми исправлениями по безопасности. Для перехода на новую версию банально не хватает свободного времени. Всем, кто уже успел обзавестись версией 2.5.0, нужно срочно позаботиться о ее безопасности! — скачайте релиз 2.5.1.

Комментирование на данный момент запрещено, но Вы можете оставить ссылку на Ваш сайт.

Комментарии закрыты.